<?php
/*
Plugin Name: WooCommerce Order Display - Customer history (EasyToolsWP)
Description: Display customer statistics on WooCommerce order details page.
Version: 1.0
Author: EasyToolsWP.com
Author URI: https://www.easytoolswp.com
*/

// Sikre, at filen ikke kan tilgås direkte
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit hvis det direkte script adgang er forsøgt.
}

// Funktion til at vise WooCommerce statistik på ordrelinjen
function custom_display_woocommerce_stats_on_order( $order_id ) {
    $order = wc_get_order( $order_id );

    // Hent antal ordrer for kunden
    $customer_orders_count = wc_get_customer_order_count( $order->get_customer_id() );

    // Hent samlet omsætning for kunden
    $customer_total_spent = wc_get_customer_total_spent( $order->get_customer_id() );

    // Output statistik på ordrelinjen
    if ( $customer_orders_count !== false && $customer_total_spent !== false ) {
        echo '<p><strong>Customer statistics:</strong></p>';
        echo '<ul>';
        echo '<li>Total orders: ' . $customer_orders_count . '</li>';
        echo '<li>Total spent: ' . wc_price( $customer_total_spent ) . '</li>';
        echo '</ul>';
    }
}
add_action( 'woocommerce_order_details_after_order_table', 'custom_display_woocommerce_stats_on_order', 10, 1 );
